/*
 *         Copyright (c) KUBOTA Corporation and HUDSON SOFT,
 *                  1994, 1995 All Rights Reserved
 *
 *  This software comprises unpublished confidential information of
 *  KUBOTA Corp. and HUDSON SOFT. It may not be used, copied or made 
 *  available to anyone, except in accordance with the license under
 *  which it is furnished.
 */
static char SccsId[] = "@(#)alrotx.c	1.6	9/19/95";
#include <farl.h>
#include <agl.h>

/*
 * ライトのＸ軸回転
 */
void
AGLRotateLightX(int ln, int angle)
{
     /* 角度が指定範囲外または０度の時は、０度として回転しないで終了する */
     if (angle >= AGLTFuncSize || angle <= 0) return;

     FarlSetSrcMatrix3x1(__AGLLight[ln].lightVector);
     FarlRotateX3x3M1015(angle);
     FarlCopyDstToMem3x1((fix1015*)__AGLLight[ln].lightVector);
     __AGLLight[ln].lightChanged = 1;
}
